## sysdig 0.1.87

=== CMakeLists.txt ===
# Prior to doing anything, we make sure that we aren't trying to 
# run cmake in-tree. (see Issue 71: https://github.com/draios/sysdig/issues/71)
if(EXISTS CMakeLists.txt)
	message(FATAL_ERROR 
		"Looks like you are trying to run cmake from the base sysdig source directory.\n"
		"** RUNNING CMAKE FROM THE BASE SYSDIG DIRECTORY WILL NOT WORK **\n"
		"To Fix:\n"
		" 1. Remove the CMakeCache.txt file in this directory. ex: rm CMakeCache.txt\n"
		" 2. Create a build directory from here. ex: mkdir build\n"
		" 3. cd into that directory. ex: cd build\n"
		" 4. Run cmake from the build directory. ex: cmake ..\n"
		" 5. Run make from the build directory. ex: make\n"
		"Full paste-able example:\n"
		"( rm -f CMakeCache.txt; mkdir build; cd build; cmake ..; make )\n"
		"The following wiki page has more information on manually building sysdig: http://bit.ly/1oJ84UI")
endif()

cmake_minimum_required(VERSION 2.8.2)

project(sysdig) 

if(NOT DEFINED SYSDIG_VERSION)
	set(SYSDIG_VERSION "0.1.1-dev")
endif()

if(NOT DEFINED DIR_ETC)
	set(DIR_ETC "${CMAKE_INSTALL_PREFIX}/etc")
endif()

if(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE Release)
endif()

add_definitions(-DPLATFORM_NAME="${CMAKE_SYSTEM_NAME}")

if(NOT WIN32)

	set(SYSDIG_DEBUG_FLAGS "-D_DEBUG")

	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -ggdb")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -ggdb --std=c++0x")

	set(CMAKE_C_FLAGS_DEBUG "${SYSDIG_DEBUG_FLAGS}")
	set(CMAKE_CXX_FLAGS_DEBUG "${SYSDIG_DEBUG_FLAGS}")

	set(CMAKE_C_FLAGS_RELEASE "-O3 -fno-strict-aliasing -DNDEBUG")
	set(CMAKE_CXX_FLAGS_RELEASE "-O3 -fno-strict-aliasing -DNDEBUG")

	if(CMAKE_SYSTEM_NAME MATCHES "Linux")
		add_subdirectory(driver)
		add_subdirectory(scripts)
		add_definitions(-DHAS_CAPTURE)
	endif()

	if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
		set(CMD_MAKE gmake)
	else()
		set(CMD_MAKE make)
	endif()

else()

	set(SYSDIG_FLAGS_WIN "-D_CRT_SECURE_NO_WARNINGS -DWIN32 /EHsc /W3 /Zi")
	set(SYSDIG_FLAGS_WIN_DEBUG "/MTd /Od")
	set(SYSDIG_FLAGS_WIN_RELEASE "/MT")

	set(CMAKE_C_FLAGS "${SYSDIG_FLAGS_WIN}")
	set(CMAKE_CXX_FLAGS "${SYSDIG_FLAGS_WIN}")

	set(CMAKE_C_FLAGS_DEBUG "${SYSDIG_FLAGS_WIN_DEBUG}")
	set(CMAKE_CXX_FLAGS_DEBUG "${SYSDIG_FLAGS_WIN_DEBUG}")

	set(CMAKE_C_FLAGS_RELEASE "${SYSDIG_FLAGS_WIN_RELEASE}")
	set(CMAKE_CXX_FLAGS_RELEASE "${SYSDIG_FLAGS_WIN_RELEASE}")

endif()

if(APPLE)
	set(CMAKE_EXE_LINKER_FLAGS "-pagezero_size 10000 -image_base 100000000")
endif()

include(ExternalProject)

#
# LuaJIT
#
option(USE_BUNDLED_LUAJIT "Enable building of the bundled LuaJIT" ON)
option(LUAJIT_PREFIX "Build with LuaJIT at the given path" "")

if(LUAJIT_PREFIX AND USE_BUNDLED_LUAJIT)
    message(FATAL_ERROR "You must set either LUAJIT_PREFIX or USE_BUNDLED_LUAJIT "
                         "not both.")
endif()

if(LUAJIT_PREFIX)
	find_path(LUAJIT_INCLUDE luajit.h "${LUAJIT_PREFIX}/*" NO_DEFAULT_PATH)
	find_library(LUAJIT_LIB NAMES luajit luajit-5.1 PATHS "${LUAJIT_PREFIX}/*" NO_DEFAULT_PATH)
	if(LUAJIT_INCLUDE AND LUAJIT_LIB)
		message(STATUS "Found LuaJIT: include: ${LUAJIT_INCLUDE}, lib: ${LUAJIT_LIB}")
	else()
		message(FATAL_ERROR "Couldn't find LuaJIT in '${LUAJIT_PREFIX}'")
	endif()
elseif(NOT USE_BUNDLED_LUAJIT)
	find_path(LUAJIT_INCLUDE luajit.h PATH_SUFFIXES luajit-2.0 luajit)
	find_library(LUAJIT_LIB NAMES luajit luajit-5.1)
	if(LUAJIT_INCLUDE AND LUAJIT_LIB)
		message(STATUS "Found LuaJIT: include: ${LUAJIT_INCLUDE}, lib: ${LUAJIT_LIB}")
	else()
		# alternatively try stock Lua
		find_package(Lua51)
		set(LUAJIT_LIB ${LUA_LIBRARY})
		set(LUAJIT_INCLUDE ${LUA_INCLUDE_DIR})

		if(NOT ${LUA51_FOUND})
			message(FATAL_ERROR "Couldn't find system LuaJIT or Lua")
		endif()
	endif()
else()
	set(LUAJIT_SRC "${PROJECT_BINARY_DIR}/luajit-prefix/src/luajit/src")
	message(STATUS "Using bundled LuaJIT in '${LUAJIT_SRC}'")
	set(LUAJIT_INCLUDE "${LUAJIT_SRC}")
	if(NOT WIN32)
		set(LUAJIT_LIB "${LUAJIT_SRC}/libluajit.a")
		ExternalProject_Add(luajit
			URL "http://download.draios.com/dependencies/LuaJIT-2.0.3.tar.gz"
			URL_MD5 "f14e9104be513913810cd59c8c658dc0"
			CONFIGURE_COMMAND ""
			BUILD_COMMAND ${CMD_MAKE}
			BUILD_IN_SOURCE 1
			INSTALL_COMMAND "")
	else()
		set(LUAJIT_LIB "${LUAJIT_SRC}/lua51.lib")
		ExternalProject_Add(luajit
			URL "http://download.draios.com/dependencies/LuaJIT-2.0.3.tar.gz"
			URL_MD5 "f14e9104be513913810cd59c8c658dc0"
			CONFIGURE_COMMAND ""
			BUILD_COMMAND msvcbuild.bat
			BINARY_DIR "${LUAJIT_SRC}"
			INSTALL_COMMAND "")
	endif()
endif()

#
# JsonCpp
#
option(USE_BUNDLED_JSONCPP "Enable building of the bundled jsoncpp" ON)
option(JSONCPP_PREFIX "Build with jsoncpp at the given path" "")

if(JSONCPP_PREFIX AND USE_BUNDLED_JSONCPP)
	message(FATAL_ERROR "You must set either JSONCPP_PREFIX or USE_BUNDLED_JSONCPP "
			     "not both.")
endif()

set(JSONCPP_SRC "${PROJECT_SOURCE_DIR}/userspace/libsinsp/third-party/jsoncpp")

if(JSONCPP_PREFIX)
	find_path(JSONCPP_INCLUDE json/json.h "${JSONCPP_PREFIX}/*" NO_DEFAULT_PATH)
	find_library(JSONCPP_LIB NAMES jsoncpp PATHS "${JSONCPP_PREFIX}/*" NO_DEFAULT_PATH)
	if(JSONCPP_INCLUDE AND JSONCPP_LIB)
		message(STATUS "Found jsoncpp: include: ${JSONCPP_INCLUDE}, lib: ${JSONCPP_LIB}")
	else()
		message(FATAL_ERROR "Couldn't find jsoncpp in '${JSONCPP_PREFIX}'")
	endif()
elseif(NOT USE_BUNDLED_JSONCPP)
	find_path(JSONCPP_INCLUDE json/json.h PATH_SUFFIXES jsoncpp)
	find_library(JSONCPP_LIB NAMES jsoncpp)
	if(JSONCPP_INCLUDE AND JSONCPP_LIB)
		message(STATUS "Found jsoncpp: include: ${JSONCPP_INCLUDE}, lib: ${JSONCPP_LIB}")
	else()
		message(FATAL_ERROR "Couldn't find system jsoncpp")
	endif()
else()
	set(JSONCPP_INCLUDE "${JSONCPP_SRC}")
	set(JSONCPP_LIB_SRC "${JSONCPP_SRC}/jsoncpp.cpp")
	message(STATUS "Using bundled jsoncpp in '${JSONCPP_SRC}'")
endif()

#
# zlib
#
option(USE_BUNDLED_ZLIB "Enable building of the bundled zlib" ON)
option(ZLIB_PREFIX "Build with zlib at the given path" "")

if(ZLIB_PREFIX AND USE_BUNDLED_ZLIB)
    message(FATAL_ERROR "You must set either ZLIB_PREFIX or USE_BUNDLED_ZLIB "
                         "not both.")
endif()

if(ZLIB_PREFIX)
	find_path(ZLIB_INCLUDE zlib.h "${ZLIB_PREFIX}/*" NO_DEFAULT_PATH)
	find_library(ZLIB_LIB NAMES z PATHS "${ZLIB_PREFIX}/*" NO_DEFAULT_PATH)
	if(ZLIB_INCLUDE AND ZLIB_LIB)
		message(STATUS "Found zlib: include: ${ZLIB_INCLUDE}, lib: ${ZLIB_LIB}")
	else()
		message(FATAL_ERROR "Couldn't find zlib in '${ZLIB_PREFIX}'")
	endif()
elseif(NOT USE_BUNDLED_ZLIB)
	find_path(ZLIB_INCLUDE zlib.h PATH_SUFFIXES zlib)
	find_library(ZLIB_LIB NAMES z)
	if(ZLIB_INCLUDE AND ZLIB_LIB)
		message(STATUS "Found zlib: include: ${ZLIB_INCLUDE}, lib: ${ZLIB_LIB}")
	else()
		message(FATAL_ERROR "Couldn't find system zlib")
	endif()
else()
	set(ZLIB_SRC "${PROJECT_BINARY_DIR}/zlib-prefix/src/zlib")
	message(STATUS "Using bundled zlib in '${ZLIB_SRC}'")
	set(ZLIB_INCLUDE "${ZLIB_SRC}")
	if(NOT WIN32)
		set(ZLIB_LIB "${ZLIB_SRC}/libz.a")
		ExternalProject_Add(zlib
			URL "http://download.draios.com/dependencies/zlib-1.2.8.tar.gz"
			URL_MD5 "44d667c142d7cda120332623eab69f40"
			CONFIGURE_COMMAND "./configure"
			BUILD_COMMAND ${CMD_MAKE}
			BUILD_IN_SOURCE 1
			INSTALL_COMMAND "")
	else()
		set(ZLIB_LIB "${ZLIB_SRC}/zdll.lib")
		ExternalProject_Add(zlib
			URL "http://download.draios.com/dependencies/zlib-1.2.8.tar.gz"
			URL_MD5 "44d667c142d7cda120332623eab69f40"
			CONFIGURE_COMMAND ""
			BUILD_COMMAND nmake -f win32/Makefile.msc
			BUILD_IN_SOURCE 1
			INSTALL_COMMAND "")
	endif()
endif()

add_subdirectory(userspace/sysdig)
add_subdirectory(userspace/libscap)
add_subdirectory(userspace/libsinsp)

set(CPACK_PACKAGE_NAME "sysdig")
set(CPACK_PACKAGE_VENDOR "Draios Inc.")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A system exploration and troubleshooting tool")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/scripts/description.txt")
set(CPACK_PACKAGE_VERSION "${SYSDIG_VERSION}")
set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CMAKE_SYSTEM_PROCESSOR}")
set(CPACK_PROJECT_CONFIG_FILE "${PROJECT_SOURCE_DIR}/CMakeCPackOptions.cmake")
set(CPACK_STRIP_FILES "ON")

set(CPACK_GENERATOR DEB RPM TGZ)

set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Draios Inc. <support@draios.com>")
set(CPACK_DEBIAN_PACKAGE_SECTION "utils")
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://www.draios.com")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "dkms (>= 2.1.0.0)")
set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_BINARY_DIR}/scripts/debian/postinst;${CMAKE_BINARY_DIR}/scripts/debian/prerm")

set(CPACK_RPM_PACKAGE_LICENSE "GPLv2")
set(CPACK_RPM_PACKAGE_URL "http://www.draios.com")
set(CPACK_RPM_PACKAGE_REQUIRES "dkms, gcc, make, kernel-devel, perl")
set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${PROJECT_SOURCE_DIR}/scripts/rpm/postinstall")
set(CPACK_RPM_PRE_UNINSTALL_SCRIPT_FILE "${PROJECT_SOURCE_DIR}/scripts/rpm/preuninstall")
set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION /usr/src)

include(CPack)

=== driver/CMakeLists.txt ===
option(BUILD_DRIVER "Build the driver on Linux" ON)

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
	set(KBUILD_FLAGS "${SYSDIG_DEBUG_FLAGS} ${SYSDIG_FEATURE_FLAGS}")
else()
	set(KBUILD_FLAGS "${SYSDIG_FEATURE_FLAGS}")
endif()

configure_file(dkms.conf.in dkms.conf)
configure_file(Makefile.in Makefile.dkms)

set(CLEAN_FILES
	"${CMAKE_CURRENT_SOURCE_DIR}/Makefile")

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}")

# This if/else is needed because you currently cannot manipulate dependencies
# of built-in targets like "all" in CMake:
# http://public.kitware.com/Bug/view.php?id=8438
if(BUILD_DRIVER)
	add_custom_target(driver ALL
		COMMAND cp -f ${CMAKE_CURRENT_BINARY_DIR}/Makefile.dkms Makefile
		COMMAND $(MAKE)
		COMMAND cp -f sysdig-probe.ko "${CMAKE_CURRENT_BINARY_DIR}"
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
		VERBATIM)
else()
	add_custom_target(driver
		COMMAND cp -f ${CMAKE_CURRENT_BINARY_DIR}/Makefile.dkms Makefile
		COMMAND $(MAKE)
		COMMAND cp -f sysdig-probe.ko "${CMAKE_CURRENT_BINARY_DIR}"
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
		VERBATIM)
endif()

add_custom_target(install_driver
	COMMAND $(MAKE) install
	DEPENDS driver
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
	VERBATIM)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Makefile.dkms
	RENAME Makefile
	DESTINATION "src/sysdig-${SYSDIG_VERSION}")

install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/dkms.conf
	dynamic_params_table.c
	event_table.c
	flags_table.c
	main.c
	ppm.h
	ppm_events.c
	ppm_events.h
	ppm_events_public.h
	ppm_fillers.c
	ppm_ringbuffer.h
	syscall_table.c
	DESTINATION "src/sysdig-${SYSDIG_VERSION}")

=== scripts/CMakeLists.txt ===
configure_file(debian/postinst.in debian/postinst)
configure_file(debian/prerm.in debian/prerm)

install(FILES completions/bash/sysdig
	DESTINATION "${DIR_ETC}/bash_completion.d")

install(FILES completions/zsh/_sysdig
	DESTINATION share/zsh/vendor-completions)

install(FILES completions/zsh/_sysdig
	DESTINATION share/zsh/site-functions)

=== userspace/libscap/CMakeLists.txt ===
include_directories("${PROJECT_SOURCE_DIR}/common")
include_directories("${ZLIB_INCLUDE}")

add_library(scap STATIC
	scap.c
	scap_event.c
	scap_fds.c
	scap_iflist.c
	scap_savefile.c
	scap_procs.c
	scap_userlist.c
	flags_table.c
	dynamic_params_table.c
	event_table.c
	syscall_info_table.c)

add_dependencies(scap zlib)

if (CMAKE_SYSTEM_NAME MATCHES "SunOS")
	target_link_libraries(scap
		socket nsl)

elseif (WIN32)
	target_link_libraries(scap
		Ws2_32.lib)
endif()

target_link_libraries(scap
	"${ZLIB_LIB}")

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    option(BUILD_LIBSCAP_EXAMPLES "Build libscap examples" ON)

    if (BUILD_LIBSCAP_EXAMPLES)
        add_subdirectory(examples/01-open)
        add_subdirectory(examples/02-validatebuffer)
    endif()
endif()

=== userspace/libsinsp/CMakeLists.txt ===
include_directories(./)
include_directories(../../common)
include_directories(../libscap)
include_directories("${JSONCPP_INCLUDE}")
include_directories("${LUAJIT_INCLUDE}")

add_library(sinsp STATIC
	chisel.cpp
	chisel_api.cpp
	cyclewriter.cpp
	event.cpp
	eventformatter.cpp
	dumper.cpp
	fdinfo.cpp
	filter.cpp
	filterchecks.cpp
	ifinfo.cpp
	memmem.cpp
	internal_metrics.cpp
	"${JSONCPP_LIB_SRC}"
	logger.cpp
	parsers.cpp
	protodecoder.cpp
	threadinfo.cpp
	sinsp.cpp
	stats.cpp
	utils.cpp)

target_link_libraries(sinsp 
	scap
	"${JSONCPP_LIB}")

if(NOT WIN32)
	add_dependencies(sinsp luajit)
	
	target_link_libraries(sinsp
		"${LUAJIT_LIB}"
		dl)
else()
	target_link_libraries(sinsp
		"${LUAJIT_LIB}")
endif()

=== userspace/sysdig/CMakeLists.txt ===
include_directories("${JSONCPP_INCLUDE}")
include_directories("${PROJECT_SOURCE_DIR}/common")
include_directories("${PROJECT_SOURCE_DIR}/userspace/libscap")
include_directories("${PROJECT_SOURCE_DIR}/userspace/libsinsp")
include_directories("${PROJECT_BINARY_DIR}/userspace/sysdig")
include_directories(.)

if(NOT WIN32)
	set(SOURCE_FILES
		fields_info.cpp
		sysdig.cpp)
else()
	set(SOURCE_FILES
		fields_info.cpp
		sysdig.cpp
		win32/getopt.c)
endif()

add_executable(sysdig ${SOURCE_FILES})

target_link_libraries(sysdig
	sinsp)

if(NOT WIN32)

	add_subdirectory(man)

	install(TARGETS sysdig 
		DESTINATION bin)

	install(DIRECTORY chisels
		DESTINATION share/sysdig)

	file(COPY chisels
		DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")

else()

	target_link_libraries(sysdig odbc32.lib odbccp32.lib)

	add_custom_command(TARGET sysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
			"${LUAJIT_SRC}/lua51.dll"
			"${PROJECT_BINARY_DIR}/$(Configuration)/lua51.dll")

	add_custom_command(TARGET sysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
			"${ZLIB_INCLUDE}/zlib1.dll"
			"${PROJECT_BINARY_DIR}/$(Configuration)/")

	add_custom_command(TARGET sysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_directory
			"${PROJECT_SOURCE_DIR}/userspace/sysdig/chisels"
			"${PROJECT_BINARY_DIR}/$(Configuration)/chisels")

	add_custom_command(TARGET sysdig POST_BUILD
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
			$<TARGET_FILE:sysdig>
			"${PROJECT_BINARY_DIR}/$(Configuration)/sysdig.exe")

endif()

configure_file(config.h.in config.h)

=== userspace/sysdig/man/CMakeLists.txt ===
find_program(PANDOC pandoc)

if (PANDOC)
	add_custom_target(man ALL
		COMMAND ${PANDOC} -s -f markdown_github -t man sysdig.md -o ${CMAKE_CURRENT_BINARY_DIR}/sysdig.8
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
		VERBATIM)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sysdig.8
		DESTINATION share/man/man8)
else()
	install(FILES sysdig.8
		DESTINATION share/man/man8)
endif()

=== debian/changelog ===
sysdig (0.1.87-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1320890)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 24 Aug 2014 11:53:01 +0200

sysdig (0.1.87-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * New upstream release

  [ Harlan Lieberman-Berg ]
  * Tighten pandoc B-D
  * Add Harlan Lieberman-Berg as co-maintainer

 -- Evgeni Golov <evgeni@debian.org>  Thu, 07 Aug 2014 21:47:41 +0200

sysdig (0.1.86-2) unstable; urgency=medium

  * properly install Bash/Zsh completion on !Linux
    Closes: #755362

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 Jul 2014 08:38:36 +0200

sysdig (0.1.86-1) unstable; urgency=medium

  * New upstream release
    + Does not FTBFS on !Linux anymore
      Closes: #755362
  * Rebuild manpage using pandoc, instead of shipping the prebuilt version
  * Ship all upstream Zsh files

 -- Evgeni Golov <evgeni@debian.org>  Thu, 24 Jul 2014 07:55:34 +0200

sysdig (0.1.85-2) unstable; urgency=medium

  * Use dh_install --list-missing, thanks Felix Geyer
  * define /etc, so cmake does not try to install to /usr/etc...
  * properly install bash and zsh completions, thanks Felix Geyer

 -- Evgeni Golov <evgeni@debian.org>  Sun, 13 Jul 2014 11:52:44 +0200

sysdig (0.1.85-1) unstable; urgency=medium

  * New upstream release

 -- Evgeni Golov <evgeni@debian.org>  Sun, 13 Jul 2014 11:07:35 +0200

sysdig (0.1.84-1) unstable; urgency=medium

  * New upstream release
    + Now supports Lua as an alternative to LuaJIT, thanks Felix Geyer
  * Add Lua as an alternative Build-Dependency
  * Drop use-json.h-from-the-include-path-instead-of-hardcodi.patch
    it was merged upstream

 -- Evgeni Golov <evgeni@debian.org>  Fri, 27 Jun 2014 07:21:40 +0200

sysdig (0.1.83-1) unstable; urgency=medium

  * New upstream release
    + Does not try to insmod the module from ../../driver/ anymore.
      Closes: #747492

 -- Evgeni Golov <evgeni@debian.org>  Sat, 07 Jun 2014 11:40:54 +0200

sysdig (0.1.82-1) unstable; urgency=medium

  * New upstream release
  * do not require dpkg >= 1.17.0 anymore for building

 -- Evgeni Golov <evgeni@debian.org>  Thu, 08 May 2014 08:34:46 +0200

sysdig (0.1.81-1) unstable; urgency=medium

  * New upstream release
  * Add B-D on zlib1g-dev and use it for building
  * drop LuaJIT from debian/copyright, upstream does not ship the
    copy anymore
  * Only require and execute dh_dkms when building arch-independent
    stuff

 -- Evgeni Golov <evgeni@debian.org>  Thu, 01 May 2014 14:53:09 +0200

sysdig (0.1.79-1) unstable; urgency=low

  * Initial release (Closes: #743819)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 06 Apr 2014 21:57:44 +0200

=== debian/control ===
Source: sysdig
Section: admin
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Uploaders: Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
Build-Depends: debhelper (>= 9), cmake, pandoc (>= 1.11),
 libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
 libjsoncpp-dev, zlib1g-dev
Build-Depends-Indep: dkms
Standards-Version: 3.9.5
Homepage: http://www.sysdig.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/sysdig.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sysdig.git;a=summary

Package: sysdig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sysdig-dkms
Description: system-level exploration and troubleshooting tool
 Sysdig instruments your physical and virtual machines at the OS level by
 installing into the Linux kernel and capturing system calls and other OS
 events. Then, using sysdig's command line interface, you can filter and
 decode these events in order to extract useful information.
 .
 Sysdig can be used to inspect systems live in real-time, or to generate
 trace files that can be analyzed at a later stage.

Package: sysdig-dkms
Architecture: all
Depends: ${misc:Depends}
Description: system-level exploration and troubleshooting tool - kernel source
 Sysdig instruments your physical and virtual machines at the OS level by
 installing into the Linux kernel and capturing system calls and other OS
 events. Then, using sysdig's command line interface, you can filter and
 decode these events in order to extract useful information.
 .
 Sysdig can be used to inspect systems live in real-time, or to generate
 trace files that can be analyzed at a later stage.
 .
 This package contains the source for the kernel module of sysdig.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND   = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

sver:=$(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|sed -r 's/-[^-]+$$//')


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_BUNDLED_JSONCPP=OFF -DUSE_BUNDLED_LUAJIT=OFF -DUSE_BUNDLED_ZLIB=OFF -DBUILD_DRIVER=OFF -DDIR_ETC="/etc" -DSYSDIG_VERSION="$(sver)"

override_dh_auto_install-indep:
	dh_auto_install -i
	dh_dkms -i -psysdig-dkms -- debian/tmp/usr/src/sysdig-$(sver)/dkms.conf

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sysdig-$1\.tar\.gz/ \
 https://github.com/draios/sysdig/releases .*/v?(\d\S*)\.tar\.gz

## sysdig 0.1.88

=== debian/changelog ===
sysdig (0.1.88-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 28 Aug 2014 19:28:11 +0200

sysdig (0.1.88-1) unstable; urgency=medium

  * New upstream release
  * Drop process-the-scripts-directory-on-non-Linux-systems.patch,
    it was applied upstream.
  * d/watch: tighten the download URL to only release-tags

 -- Evgeni Golov <evgeni@debian.org>  Thu, 21 Aug 2014 15:56:56 +0200

sysdig (0.1.87-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

  [ Harlan Lieberman-Berg ]
  * Drop pandoc B-D and ship the prebuilt manpage, as pandoc from
    wheezy does not support GitHub markdown.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 15 Aug 2014 08:51:46 +0200

## sysdig 0.1.89

=== debian/changelog ===
sysdig (0.1.89-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 01 Mar 2015 14:08:18 +0100

sysdig (0.1.89-1) unstable; urgency=low

  [ Evgeni Golov ]
  * New upstream release

  [ Harlan Lieberman-Berg ]
  * Install zsh tab completion files as per Debian layout. (Closes: #758823)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 26 Sep 2014 14:57:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, pandoc (>= 1.11),
+Build-Depends: debhelper (>= 9), cmake,
  libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
  libjsoncpp-dev, zlib1g-dev
 Build-Depends-Indep: dkms

## sysdig 0.1.99

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,9 +48,10 @@
 
 	if(CMAKE_SYSTEM_NAME MATCHES "Linux")
 		add_subdirectory(driver)
-		add_subdirectory(scripts)
 		add_definitions(-DHAS_CAPTURE)
 	endif()
+
+	add_subdirectory(scripts)
 
 	if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
 		set(CMD_MAKE gmake)
@@ -233,7 +234,7 @@
 
 set(CPACK_PACKAGE_NAME "sysdig")
 set(CPACK_PACKAGE_VENDOR "Draios Inc.")
-set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A system exploration and troubleshooting tool")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "sysdig, a system-level exploration and troubleshooting tool")
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/scripts/description.txt")
 set(CPACK_PACKAGE_VERSION "${SYSDIG_VERSION}")
 set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CMAKE_SYSTEM_PROCESSOR}")

=== userspace/libsinsp/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 add_library(sinsp STATIC
 	chisel.cpp
 	chisel_api.cpp
+	container.cpp
 	cyclewriter.cpp
 	event.cpp
 	eventformatter.cpp

=== debian/changelog ===
sysdig (0.1.99-1) unstable; urgency=medium

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Add patch to fix minor misspellings in manpage.
  * Tweak description to include keyword "statistics", more natural flow.
    Closes: #780338

  [ Evgeni Golov ]
  * Upload to unstable.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 09 May 2015 21:15:47 +0200

sysdig (0.1.97-1) experimental; urgency=medium

  * New upstream release.
    + Builds properly against kernel 3.19
      Closes: #774693
      LP: #1419402

 -- Evgeni Golov <evgeni@debian.org>  Sat, 28 Feb 2015 11:49:42 +0100

sysdig (0.1.92-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6 (no changes needed).

 -- Evgeni Golov <evgeni@debian.org>  Fri, 14 Nov 2014 18:01:21 +0100

=== debian/control ===
Source: sysdig
Section: admin
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@setec.io>
Build-Depends: debhelper (>= 9), cmake, pandoc (>= 1.11),
 libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
 libjsoncpp-dev, zlib1g-dev
Build-Depends-Indep: dkms
Standards-Version: 3.9.6
Homepage: http://www.sysdig.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/sysdig.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sysdig.git;a=summary

Package: sysdig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sysdig-dkms
Description: system-level exploration and troubleshooting tool
 Sysdig instruments your physical and virtual machines at the OS level
 by installing into the Linux kernel and capturing system calls and
 other OS events. Then, using sysdig's command line interface, you can
 filter and decode these events in order to extract useful information
 and statistics.
 .
 Sysdig can be used to inspect live systems in real-time, or to generate
 trace files that can be analyzed at a later stage.

Package: sysdig-dkms
Architecture: all
Depends: ${misc:Depends}
Description: system-level exploration and troubleshooting tool - kernel source
 Sysdig instruments your physical and virtual machines at the OS level
 by installing into the Linux kernel and capturing system calls and
 other OS events. Then, using sysdig's command line interface, you can
 filter and decode these events in order to extract useful information
 and statistics.
 .
 Sysdig can be used to inspect live systems in real-time, or to generate
 trace files that can be analyzed at a later stage.
 .
 This package contains the source for the kernel module of sysdig.

## sysdig 0.1.101

=== CMakeLists.txt ===
--- 
+++ 
@@ -228,6 +228,34 @@
 	endif()
 endif()
 
+#
+# ncurses, keep it simple for the moment
+#
+if(NOT WIN32)
+	option(USE_BUNDLED_NCURSES "Enable building of the bundled ncurses" ON)
+	
+	if(USE_BUNDLED_NCURSES)
+		set(CURSES_BUNDLE_DIR "${PROJECT_BINARY_DIR}/ncurses-prefix/src/ncurses")
+		set(CURSES_INCLUDE_DIR "${CURSES_BUNDLE_DIR}/include/")
+		set(CURSES_LIBRARIES "${CURSES_BUNDLE_DIR}/lib/libncurses.a")
+
+		message(STATUS "Using bundled ncurses in '${CURSES_BUNDLE_DIR}'")
+
+		ExternalProject_Add(ncurses
+			URL "http://download.draios.com/dependencies/ncurses-5.9.tar.gz"
+			URL_MD5 "8cb9c412e5f2d96bc6f459aa8c6282a1"
+			CONFIGURE_COMMAND ./configure --without-cxx --without-cxx-binding --without-ada --without-manpages --without-progs --without-tests --with-terminfo-dirs=/etc/terminfo:/lib/terminfo:/usr/share/terminfo
+			BUILD_COMMAND ${CMD_MAKE}
+			BUILD_IN_SOURCE 1
+			INSTALL_COMMAND "")
+
+	else()
+		set(CURSES_NEED_NCURSES TRUE)
+		find_package(Curses REQUIRED)
+		message(STATUS "Found ncurses: include: ${CURSES_INCLUDE_DIR}, lib: ${CURSES_LIBRARIES}")
+	endif()
+endif()
+
 add_subdirectory(userspace/sysdig)
 add_subdirectory(userspace/libscap)
 add_subdirectory(userspace/libsinsp)
@@ -243,17 +271,17 @@
 
 set(CPACK_GENERATOR DEB RPM TGZ)
 
-set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Draios Inc. <support@draios.com>")
+set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Sysdig <support@sysdig.com>")
 set(CPACK_DEBIAN_PACKAGE_SECTION "utils")
-set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://www.draios.com")
+set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://www.sysdig.org")
 set(CPACK_DEBIAN_PACKAGE_DEPENDS "dkms (>= 2.1.0.0)")
 set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_BINARY_DIR}/scripts/debian/postinst;${CMAKE_BINARY_DIR}/scripts/debian/prerm")
 
 set(CPACK_RPM_PACKAGE_LICENSE "GPLv2")
-set(CPACK_RPM_PACKAGE_URL "http://www.draios.com")
+set(CPACK_RPM_PACKAGE_URL "http://www.sysdig.org")
 set(CPACK_RPM_PACKAGE_REQUIRES "dkms, gcc, make, kernel-devel, perl")
 set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${PROJECT_SOURCE_DIR}/scripts/rpm/postinstall")
 set(CPACK_RPM_PRE_UNINSTALL_SCRIPT_FILE "${PROJECT_SOURCE_DIR}/scripts/rpm/preuninstall")
-set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION /usr/src)
+set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION /usr/src /usr/share/man /usr/share/man/man8)
 
 include(CPack)

=== driver/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 option(BUILD_DRIVER "Build the driver on Linux" ON)
+option(ENABLE_DKMS "Enable DKMS on Linux" ON)
 
 if(CMAKE_BUILD_TYPE STREQUAL "Debug")
 	set(KBUILD_FLAGS "${SYSDIG_DEBUG_FLAGS} ${SYSDIG_FEATURE_FLAGS}")
@@ -39,21 +40,24 @@
 	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
 	VERBATIM)
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Makefile.dkms
-	RENAME Makefile
-	DESTINATION "src/sysdig-${SYSDIG_VERSION}")
+if(ENABLE_DKMS)
+	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Makefile.dkms
+		RENAME Makefile
+		DESTINATION "src/sysdig-${SYSDIG_VERSION}")
 
-install(FILES
-	${CMAKE_CURRENT_BINARY_DIR}/dkms.conf
-	dynamic_params_table.c
-	event_table.c
-	flags_table.c
-	main.c
-	ppm.h
-	ppm_events.c
-	ppm_events.h
-	ppm_events_public.h
-	ppm_fillers.c
-	ppm_ringbuffer.h
-	syscall_table.c
-	DESTINATION "src/sysdig-${SYSDIG_VERSION}")
+	install(FILES
+		${CMAKE_CURRENT_BINARY_DIR}/dkms.conf
+		dynamic_params_table.c
+		event_table.c
+		flags_table.c
+		main.c
+		ppm.h
+		ppm_events.c
+		ppm_events.h
+		ppm_events_public.h
+		ppm_fillers.c
+		ppm_ringbuffer.h
+		syscall_table.c
+		ppm_cputime.c
+		DESTINATION "src/sysdig-${SYSDIG_VERSION}")
+endif()

=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 include_directories("${JSONCPP_INCLUDE}")
+
+if(NOT WIN32)
+	include_directories("${CURSES_INCLUDE_DIR}")
+endif()
+
 include_directories("${PROJECT_SOURCE_DIR}/common")
 include_directories("${PROJECT_SOURCE_DIR}/userspace/libscap")
 include_directories("${PROJECT_SOURCE_DIR}/userspace/libsinsp")
@@ -9,23 +14,42 @@
 	set(SOURCE_FILES
 		fields_info.cpp
 		sysdig.cpp)
+
+	set(SOURCE_FILES_CSYSDIG
+		fields_info.cpp
+		csysdig.cpp)
 else()
 	set(SOURCE_FILES
 		fields_info.cpp
 		sysdig.cpp
 		win32/getopt.c)
+
+	set(SOURCE_FILES_CSYSDIG
+		fields_info.cpp
+		csysdig.cpp
+		win32/getopt.c)
 endif()
 
 add_executable(sysdig ${SOURCE_FILES})
-
-target_link_libraries(sysdig
-	sinsp)
+add_executable(csysdig ${SOURCE_FILES_CSYSDIG})
 
 if(NOT WIN32)
+
+	target_link_libraries(sysdig
+		sinsp)
+
+	add_dependencies(csysdig ncurses)
+
+	target_link_libraries(csysdig
+		sinsp
+		"${CURSES_LIBRARIES}")
 
 	add_subdirectory(man)
 
 	install(TARGETS sysdig 
+		DESTINATION bin)
+
+	install(TARGETS csysdig 
 		DESTINATION bin)
 
 	install(DIRECTORY chisels
@@ -36,7 +60,15 @@
 
 else()
 
+	target_link_libraries(sysdig
+		sinsp)
+
+	target_link_libraries(csysdig
+		sinsp)
+
 	target_link_libraries(sysdig odbc32.lib odbccp32.lib)
+
+	target_link_libraries(csysdig odbc32.lib odbccp32.lib)
 
 	add_custom_command(TARGET sysdig POST_BUILD
 		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
@@ -58,6 +90,11 @@
 			$<TARGET_FILE:sysdig>
 			"${PROJECT_BINARY_DIR}/$(Configuration)/sysdig.exe")
 
+	add_custom_command(TARGET csysdig POST_BUILD
+		COMMAND "${CMAKE_COMMAND}" -E copy_if_different
+			$<TARGET_FILE:csysdig>
+			"${PROJECT_BINARY_DIR}/$(Configuration)/csysdig.exe")
+
 endif()
 
-configure_file(config.h.in config.h)
+configure_file(config_sysdig.h.in config_sysdig.h)

=== debian/changelog ===
sysdig (0.1.101-2build1) wily; urgency=medium

  * No-change rebuild against libjsoncpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 00:53:55 +0000

sysdig (0.1.101-2) unstable; urgency=medium

  * apply two patches from upstream to fix FTBFS on arm*
    Closes: #790828

 -- Evgeni Golov <evgeni@debian.org>  Fri, 03 Jul 2015 15:54:06 +0200

sysdig (0.1.101-1) unstable; urgency=medium

  * New upstream release.
  * add Build-Depends on libncurses5-dev, needed for csysdig
  * install csysdig binary
  * drop 0001-fix-length-spelling.patch, applied upstream
  * force use of system ncurses

 -- Evgeni Golov <evgeni@debian.org>  Sun, 14 Jun 2015 11:59:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: sysdig
 Section: admin
 Priority: optional
-Maintainer: Evgeni Golov <evgeni@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@setec.io>
 Build-Depends: debhelper (>= 9), cmake, pandoc (>= 1.11),
  libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
- libjsoncpp-dev, zlib1g-dev
+ libjsoncpp-dev, libncurses5-dev, zlib1g-dev
 Build-Depends-Indep: dkms
 Standards-Version: 3.9.6
 Homepage: http://www.sysdig.org/

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DUSE_BUNDLED_JSONCPP=OFF -DUSE_BUNDLED_LUAJIT=OFF -DUSE_BUNDLED_ZLIB=OFF -DBUILD_DRIVER=OFF -DDIR_ETC="/etc" -DSYSDIG_VERSION="$(sver)"
+	dh_auto_configure -- -DUSE_BUNDLED_JSONCPP=OFF -DUSE_BUNDLED_LUAJIT=OFF -DUSE_BUNDLED_ZLIB=OFF -DUSE_BUNDLED_NCURSES=OFF -DBUILD_DRIVER=OFF -DDIR_ETC="/etc" -DSYSDIG_VERSION="$(sver)"
 
 override_dh_auto_install-indep:
 	dh_auto_install -i

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sysdig-$1\.tar\.gz/ \
 https://github.com/draios/sysdig/releases .*/archive/(\d\S*)\.tar\.gz

## sysdig 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -242,8 +242,8 @@
 		message(STATUS "Using bundled ncurses in '${CURSES_BUNDLE_DIR}'")
 
 		ExternalProject_Add(ncurses
-			URL "http://download.draios.com/dependencies/ncurses-5.9.tar.gz"
-			URL_MD5 "8cb9c412e5f2d96bc6f459aa8c6282a1"
+			URL "http://download.draios.com/dependencies/ncurses-6.0-20150725.tgz"
+			URL_MD5 "32b8913312e738d707ae68da439ca1f4"
 			CONFIGURE_COMMAND ./configure --without-cxx --without-cxx-binding --without-ada --without-manpages --without-progs --without-tests --with-terminfo-dirs=/etc/terminfo:/lib/terminfo:/usr/share/terminfo
 			BUILD_COMMAND ${CMD_MAKE}
 			BUILD_IN_SOURCE 1

=== driver/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,7 @@
 		ppm_events_public.h
 		ppm_fillers.c
 		ppm_ringbuffer.h
+		ppm_syscall.h
 		syscall_table.c
 		ppm_cputime.c
 		DESTINATION "src/sysdig-${SYSDIG_VERSION}")

=== debian/changelog ===
sysdig (0.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert upstream commit 28efbf676c2e9c5feabdc72b1f9bdbf68cde3303
    "use Json::Value::nullRef instead of Json::Value::null"
    Jessie's JSONcpp is too old.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 06 Oct 2015 18:28:13 +0200

sysdig (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 19 Sep 2015 11:44:14 -0400

sysdig (0.1.101-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable use_json-value-nullref.patch, jsoncpp in Jessie is too old. 

 -- Evgeni Golov <evgeni@debian.org>  Mon, 28 Sep 2015 21:44:44 +0200

## sysdig 0.3.0

=== driver/CMakeLists.txt ===
option(BUILD_DRIVER "Build the driver on Linux" ON)
option(ENABLE_DKMS "Enable DKMS on Linux" ON)

configure_file(dkms.conf.in dkms.conf)
configure_file(Makefile.in Makefile.dkms)
configure_file(driver_config.h.in driver_config.h)

set(CLEAN_FILES
	"${CMAKE_CURRENT_SOURCE_DIR}/Makefile"
	"${CMAKE_CURRENT_SOURCE_DIR}/driver_config.h")

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}")

add_custom_target(configure_driver ALL
	COMMAND "${CMAKE_COMMAND}" -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/driver_config.h driver_config.h
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
	VERBATIM)

# This if/else is needed because you currently cannot manipulate dependencies
# of built-in targets like "all" in CMake:
# http://public.kitware.com/Bug/view.php?id=8438
if(BUILD_DRIVER)
	add_custom_target(driver ALL
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/Makefile.dkms Makefile
		COMMAND $(MAKE)
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different ${PROBE_NAME}.ko "${CMAKE_CURRENT_BINARY_DIR}"
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
		VERBATIM)
else()
	add_custom_target(driver
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/Makefile.dkms Makefile
		COMMAND $(MAKE)
		COMMAND "${CMAKE_COMMAND}" -E copy_if_different ${PROBE_NAME}.ko "${CMAKE_CURRENT_BINARY_DIR}"
		WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
		VERBATIM)
endif()

add_custom_target(install_driver
	COMMAND $(MAKE) install
	DEPENDS driver
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
	VERBATIM)

if(ENABLE_DKMS)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Makefile.dkms
		RENAME Makefile
		DESTINATION "src/${PACKAGE_NAME}-${PROBE_VERSION}"
		COMPONENT agent)

	install(FILES
		${CMAKE_CURRENT_BINARY_DIR}/dkms.conf
		dynamic_params_table.c
		driver_config.h
		event_table.c
		flags_table.c
		main.c
		ppm.h
		ppm_events.c
		ppm_events.h
		ppm_events_public.h
		ppm_fillers.c
		ppm_ringbuffer.h
		ppm_syscall.h
		syscall_table.c
		ppm_cputime.c
		ppm_compat_unistd_32.h
		DESTINATION "src/${PACKAGE_NAME}-${PROBE_VERSION}"
		COMPONENT agent)
endif()

=== debian/changelog ===
sysdig (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 17 Oct 2015 12:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sysdig
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@setec.io>
 Build-Depends: debhelper (>= 9), cmake, pandoc (>= 1.11),
  libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# This has to be exported to make some magic below work.
export DH_OPTIONS

# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND   = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_BUNDLED_JSONCPP=OFF -DUSE_BUNDLED_LUAJIT=OFF -DUSE_BUNDLED_ZLIB=OFF -DUSE_BUNDLED_NCURSES=OFF -DBUILD_DRIVER=OFF -DDIR_ETC="/etc" -DSYSDIG_VERSION="$(DEB_VERSION_UPSTREAM)"

override_dh_auto_install-indep:
	dh_auto_install -i
	dh_dkms -i -psysdig-dkms -- debian/tmp/usr/src/sysdig-$(DEB_VERSION_UPSTREAM)/dkms.conf

override_dh_install:
	dh_install --list-missing

## sysdig 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 project(sysdig) 
 
 if(NOT DEFINED SYSDIG_VERSION)
-	set(SYSDIG_VERSION "0.1.1-dev")
+	set(SYSDIG_VERSION "0.1.1dev")
 endif()
 
 if(NOT DEFINED DIR_ETC)
@@ -31,6 +31,8 @@
 	SET(CMAKE_BUILD_TYPE Release)
 endif()
 
+set(PACKAGE_NAME "sysdig")
+
 add_definitions(-DPLATFORM_NAME="${CMAKE_SYSTEM_NAME}")
 
 if(NOT WIN32)
@@ -47,6 +49,16 @@
 	set(CMAKE_CXX_FLAGS_RELEASE "-O3 -fno-strict-aliasing -DNDEBUG")
 
 	if(CMAKE_SYSTEM_NAME MATCHES "Linux")
+		if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+			set(KBUILD_FLAGS "${SYSDIG_DEBUG_FLAGS} ${SYSDIG_FEATURE_FLAGS}")
+		else()
+			set(KBUILD_FLAGS "${SYSDIG_FEATURE_FLAGS}")
+		endif()
+
+		set(PROBE_VERSION "${SYSDIG_VERSION}")
+		set(PROBE_NAME "sysdig-probe")
+		set(PROBE_DEVICE_NAME "sysdig")
+
 		add_subdirectory(driver)
 		add_definitions(-DHAS_CAPTURE)
 	endif()
@@ -260,8 +272,8 @@
 add_subdirectory(userspace/libscap)
 add_subdirectory(userspace/libsinsp)
 
-set(CPACK_PACKAGE_NAME "sysdig")
-set(CPACK_PACKAGE_VENDOR "Draios Inc.")
+set(CPACK_PACKAGE_NAME "${PACKAGE_NAME}")
+set(CPACK_PACKAGE_VENDOR "Sysdig Inc.")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "sysdig, a system-level exploration and troubleshooting tool")
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/scripts/description.txt")
 set(CPACK_PACKAGE_VERSION "${SYSDIG_VERSION}")

=== userspace/libsinsp/CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,19 @@
 include_directories("${JSONCPP_INCLUDE}")
 include_directories("${LUAJIT_INCLUDE}")
 
+if(NOT WIN32)
+	include_directories("${CURSES_INCLUDE_DIR}")
+endif()
+
 add_library(sinsp STATIC
 	chisel.cpp
 	chisel_api.cpp
 	container.cpp
+	ctext.cpp
 	cyclewriter.cpp
+	cursescomponents.cpp
+	cursestable.cpp
+	cursesui.cpp
 	event.cpp
 	eventformatter.cpp
 	dumper.cpp
@@ -25,7 +33,9 @@
 	threadinfo.cpp
 	sinsp.cpp
 	stats.cpp
-	utils.cpp)
+	table.cpp
+	utils.cpp
+	viewinfo.cpp)
 
 target_link_libraries(sinsp 
 	scap

=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,9 @@
 	target_link_libraries(sysdig
 		sinsp)
 
-	add_dependencies(csysdig ncurses)
+	if(USE_BUNDLED_NCURSES)
+		add_dependencies(csysdig ncurses)
+	endif()
 
 	target_link_libraries(csysdig
 		sinsp

=== debian/changelog ===
sysdig (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sun, 01 Nov 2015 16:12:54 -0500
